Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class StructuredViewer.ColorAndFontCollectorWithProviders

    java.lang.Object
      org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector
          org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollectorWithProviders

Enclosing class:
  StructuredViewer

    protected class StructuredViewer.ColorAndFontCollectorWithProviders

extends StructuredViewer.ColorAndFontCollector

The ColorAndFontCollector is a helper class for viewers that have color and font support ad optionally decorators.

See Also:
  `IColorDecorator`, `IFontDecorator`, `IColorProvider`, `IFontProvider`, `IDecoration`

Constructor Summary
`StructuredViewer.ColorAndFontCollectorWithProviders(IBaseLabelProvider provider)` Create a new instance of the receiver using the supplied label provider.

Method Summary
`void` `applyFontsAndColors(TableItem control)` Apply the fonts and colors to the control if required.
`void` `applyFontsAndColors(TableTreeItem control)` Apply the fonts and colors to the control if required.
`void` `applyFontsAndColors(TreeItem control)` Apply the fonts and colors to the control if required.
`void` `setFontsAndColors(Object element)` Set the initial fonts and colors for the element from the content providers.

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector
`clear, setBackground, setFont, setForeground, setUsedDecorators`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructuredViewer.ColorAndFontCollectorWithProviders

    public StructuredViewer.ColorAndFontCollectorWithProviders(IBaseLabelProvider provider)

  Create a new instance of the receiver using the supplied label provider. If it is an IColorProvider or IFontProvider set these values up.

  Parameters:
    `provider` - IBaseLabelProvider
  See Also:
    `IColorProvider`, `IFontProvider`

Method Detail

### setFontsAndColors

    public void setFontsAndColors(Object element)

  Description copied from class: `StructuredViewer.ColorAndFontCollector`
  Set the initial fonts and colors for the element from the content providers.

  Overrides:
    `setFontsAndColors` in class `StructuredViewer.ColorAndFontCollector`
  Parameters:
    `element` - Object

### applyFontsAndColors

    public void applyFontsAndColors(TableItem control)

  Apply the fonts and colors to the control if required.

  Overrides:
    `applyFontsAndColors` in class `StructuredViewer.ColorAndFontCollector`
  Parameters:
    `control` -

### applyFontsAndColors

    public void applyFontsAndColors(TreeItem control)

  Description copied from class: `StructuredViewer.ColorAndFontCollector`
  Apply the fonts and colors to the control if required.

  Overrides:
    `applyFontsAndColors` in class `StructuredViewer.ColorAndFontCollector`

### applyFontsAndColors

    public void applyFontsAndColors(TableTreeItem control)

  Description copied from class: `StructuredViewer.ColorAndFontCollector`
  Apply the fonts and colors to the control if required.

  Overrides:
    `applyFontsAndColors` in class `StructuredViewer.ColorAndFontCollector`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.